To generate secrets and to deploy:

```
kubectl create secret generic -n $(basename $(pwd)) application-secrets \
    --from-literal=BASIC_AUTH_PASSWORD=$(cat /dev/urandom | base64 | head -c 30) \
    --from-literal=MAIL_SMTP_PASS=... \
    --from-literal=SLACK_TOKEN=...
kubectl apply -n keel -f application.yml
kubectl -n keel rollout restart deployment.apps/keel
```
