# Longhorn distributed block storage system

The manifest was fetched from
https://raw.githubusercontent.com/longhorn/longhorn/v1.2.4/deploy/longhorn.yaml
and then heavily modified.

To deploy Longhorn use following:

```
kubectl -n longhorn-system apply -f application.yml -f application-extras.yml
```

After deploying specify `dedicated=storage:NoSchedule`
for `Kubernetes Taint Toleration` under `Setting -> General` on
[Longhorn Dashboard](https://longhorn.k-space.ee/).
Proceed to tag suitable nodes with `storage` and disable Longhorn scheduling on others.

# Known issues

* Longhorn does not support [trim](https://github.com/longhorn/longhorn/issues/836)
